/*!999999\- enable the sandbox mode */ 
-- MariaDB dump 10.19  Distrib 10.11.8-MariaDB, for debian-linux-gnu (x86_64)
--
-- Host: localhost    Database: cuisine
-- ------------------------------------------------------
-- Server version	10.11.8-MariaDB-0ubuntu0.24.04.1

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

-- Table structure for table `Aime`
DROP TABLE IF EXISTS `Aime`;
CREATE TABLE `Aime` (
  `ingredient` int(11) DEFAULT NULL,
  `humain` int(11) DEFAULT NULL,
  `niveau` tinyint(4) DEFAULT NULL
);

-- Table structure for table `Genre`
DROP TABLE IF EXISTS `Genre`;
CREATE TABLE `Genre` (
  `id` int(11) NOT NULL,
  `nom` mediumtext DEFAULT NULL,
  PRIMARY KEY (`id`)
);

-- Table structure for table `Humain`
DROP TABLE IF EXISTS `Humain`;
CREATE TABLE `Humain` (
  `id` int(11) NOT NULL,
  `nom` mediumtext DEFAULT NULL,
  PRIMARY KEY (`id`)
);

-- Table structure for table `Ingredient`
DROP TABLE IF EXISTS `Ingredient`;
CREATE TABLE `Ingredient` (
  `id` int(11) NOT NULL,
  `nom` mediumtext DEFAULT NULL,
  `jan` tinyint(1) DEFAULT NULL,
  `fev` tinyint(1) DEFAULT NULL,
  `mar` tinyint(1) DEFAULT NULL,
  `avr` tinyint(1) DEFAULT NULL,
  `mai` tinyint(1) DEFAULT NULL,
  `jun` tinyint(1) DEFAULT NULL,
  `jul` tinyint(1) DEFAULT NULL,
  `aou` tinyint(1) DEFAULT NULL,
  `sep` tinyint(1) DEFAULT NULL,
  `ocb` tinyint(1) DEFAULT NULL,
  `nov` tinyint(1) DEFAULT NULL,
  `dem` tinyint(1) DEFAULT NULL,
  PRIMARY KEY (`id`)
);

-- Table structure for table `Preparation`
DROP TABLE IF EXISTS `Preparation`;
CREATE TABLE `Preparation` (
  `id` int(11) NOT NULL,
  `nom` mediumtext DEFAULT NULL,
  PRIMARY KEY (`id`)
);

-- Table structure for table `Recette`
DROP TABLE IF EXISTS `Recette`;
CREATE TABLE `Recette` (
  `id` int(11) NOT NULL,
  `nom` mediumtext DEFAULT NULL,
  `tempsTotal` mediumtext DEFAULT NULL,
  `genre` int(11) DEFAULT NULL,
  `unitePortion` int(11) DEFAULT NULL,
  `nbPortion` mediumtext DEFAULT NULL,
  `realisation` mediumtext DEFAULT NULL,
  `commentaire` mediumtext DEFAULT NULL,
  PRIMARY KEY (`id`)
);

-- Table structure for table `RecetteIngredient`
DROP TABLE IF EXISTS `RecetteIngredient`;
CREATE TABLE `RecetteIngredient` (
  `ingredient` int(11) NOT NULL,
  `recette` int(11) NOT NULL,
  `quantite` mediumtext DEFAULT NULL,
  `unite` int(11) DEFAULT NULL,
  PRIMARY KEY (`ingredient`,`recette`)
);

-- Table structure for table `RecettePreparation`
DROP TABLE IF EXISTS `RecettePreparation`;
CREATE TABLE `RecettePreparation` (
  `preparation` int(11) NOT NULL,
  `recette` int(11) NOT NULL,
  `duree` int(11) DEFAULT NULL,
  `temperature` mediumtext DEFAULT NULL,
  PRIMARY KEY (`preparation`,`recette`)
);

-- Table structure for table `RecetteUstensile`
DROP TABLE IF EXISTS `RecetteUstensile`;
CREATE TABLE `RecetteUstensile` (
  `ustensile` int(11) NOT NULL,
  `recette` int(11) NOT NULL,
  `commentaire` mediumtext DEFAULT NULL,
  PRIMARY KEY (`ustensile`,`recette`)
);

-- Table structure for table `Reutilise`
DROP TABLE IF EXISTS `Reutilise`;
CREATE TABLE `Reutilise` (
  `utilisee` int(11) NOT NULL,
  `utilisant` int(11) NOT NULL,
  `quantite` mediumtext DEFAULT NULL,
  PRIMARY KEY (`utilisee`,`utilisant`)
);

-- Table structure for table `Unite`
DROP TABLE IF EXISTS `Unite`;
CREATE TABLE `Unite` (
  `id` int(11) NOT NULL,
  `nom` mediumtext DEFAULT NULL
);

-- Table structure for table `Ustensile`
DROP TABLE IF EXISTS `Ustensile`;
CREATE TABLE `Ustensile` (
  `id` int(11) NOT NULL,
  `nom` mediumtext DEFAULT NULL
);
-- Dump completed on 2025-02-22 23:24:29
